Skip to main content
GET
/
api
/
v1
/
children
/
task_executions
/
{task_execution_id.node_execution_id.execution_id.project}
/
{task_execution_id.node_execution_id.execution_id.domain}
/
{task_execution_id.node_execution_id.execution_id.name}
/
{task_execution_id.node_execution_id.node_id}
/
{task_execution_id.task_id.project}
/
{task_execution_id.task_id.domain}
/
{task_execution_id.task_id.name}
/
{task_execution_id.task_id.version}
/
{task_execution_id.retry_attempt}
Fetch a list of :ref:`ref_flyteidl.admin.NodeExecution` launched by the
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/children/task_executions/{task_execution_id.node_execution_id.execution_id.project}/{task_execution_id.node_execution_id.execution_id.domain}/{task_execution_id.node_execution_id.execution_id.name}/{task_execution_id.node_execution_id.node_id}/{task_execution_id.task_id.project}/{task_execution_id.task_id.domain}/{task_execution_id.task_id.name}/{task_execution_id.task_id.version}/{task_execution_id.retry_attempt}
{
  "node_executions": [
    {
      "id": {
        "node_id": "<string>",
        "execution_id": {
          "project": "<string>",
          "domain": "<string>",
          "name": "<string>",
          "org": "<string>"
        }
      },
      "input_uri": "<string>",
      "closure": {
        "output_uri": "<string>",
        "error": {
          "code": "<string>",
          "message": "<string>",
          "error_uri": "<string>",
          "kind": "UNKNOWN",
          "timestamp": "2023-11-07T05:31:56Z",
          "worker": "<string>"
        },
        "output_data": {
          "literals": {}
        },
        "phase": "UNDEFINED",
        "started_at": "2023-11-07T05:31:56Z",
        "duration": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "workflow_node_metadata": {
          "executionId": {
            "project": "<string>",
            "domain": "<string>",
            "name": "<string>",
            "org": "<string>"
          }
        },
        "task_node_metadata": {
          "cache_status": "CACHE_DISABLED",
          "catalog_key": {
            "dataset_id": {
              "resource_type": "UNSPECIFIED",
              "project": "<string>",
              "domain": "<string>",
              "name": "<string>",
              "version": "<string>",
              "org": "<string>"
            },
            "artifact_tag": {
              "artifact_id": "<string>",
              "name": "<string>"
            },
            "source_task_execution": {
              "task_id": {
                "resource_type": "UNSPECIFIED",
                "project": "<string>",
                "domain": "<string>",
                "name": "<string>",
                "version": "<string>",
                "org": "<string>"
              },
              "node_execution_id": {
                "node_id": "<string>",
                "execution_id": {
                  "project": "<string>",
                  "domain": "<string>",
                  "name": "<string>",
                  "org": "<string>"
                }
              },
              "retry_attempt": 123
            }
          },
          "checkpoint_uri": "<string>"
        },
        "deck_uri": "<string>",
        "dynamic_job_spec_uri": "<string>"
      },
      "metadata": {
        "retry_group": "<string>",
        "is_parent_node": true,
        "spec_node_id": "<string>",
        "is_dynamic": true,
        "is_array": true,
        "is_eager": true
      }
    }
  ],
  "token": "<string>"
}

Path Parameters

task_execution_id.node_execution_id.execution_id.project
string
required

Name of the project the resource belongs to.

task_execution_id.node_execution_id.execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

task_execution_id.node_execution_id.execution_id.name
string
required

User or system provided value for the resource.

task_execution_id.node_execution_id.node_id
string
required
task_execution_id.task_id.project
string
required

Name of the project the resource belongs to.

task_execution_id.task_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

task_execution_id.task_id.name
string
required

User provided value for the resource.

task_execution_id.task_id.version
string
required

Specific version of the resource.

task_execution_id.retry_attempt
integer<int64>
required

Query Parameters

task_execution_id.task_id.resource_type
enum<string>
default:UNSPECIFIED

Identifies the specific type of resource that this identifier corresponds to.

  • DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects. Eventually all Catalog objects should be modeled similar to Flyte Objects. The Dataset entities makes it possible for the UI and CLI to act on the objects in a similar manner to other Flyte objects
Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
task_execution_id.task_id.org
string

Optional, org key applied to the resource.

task_execution_id.node_execution_id.execution_id.org
string

Optional, org key applied to the resource.

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string

In the case of multiple pages of results, the, server-provided token can be used to fetch the next page in a query. +optional

filters
string

Indicates a list of filters passed as string. More info on constructing filters : +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING

Response

A successful response.

node_executions
object[]
token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.